Bug 202513 - Import OffscreenCanvas Web Platform Tests
Summary: Import OffscreenCanvas Web Platform Tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Canvas (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Lord
URL:
Keywords: InRadar
Depends on:
Blocks: 182686 183720
  Show dependency treegraph
 
Reported: 2019-10-03 01:27 PDT by Chris Lord
Modified: 2019-10-10 09:22 PDT (History)
9 users (show)

See Also:


Attachments
Patch (4.84 MB, patch)
2019-10-03 04:45 PDT, Chris Lord
no flags Details | Formatted Diff | Diff
Patch (4.84 MB, patch)
2019-10-04 04:58 PDT, Chris Lord
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Lord 2019-10-03 01:27:47 PDT
Splitting away from bug 179191 which has blockers mainly based on the 2dcontext test results.
Comment 1 Chris Lord 2019-10-03 04:45:05 PDT
Created attachment 380099 [details]
Patch
Comment 2 Chris Lord 2019-10-04 04:58:28 PDT
Created attachment 380212 [details]
Patch
Comment 3 Chris Lord 2019-10-07 01:06:10 PDT
Comment on attachment 380212 [details]
Patch

Tests look green, marking for review/commit.
Comment 4 WebKit Commit Bot 2019-10-07 04:23:16 PDT
Comment on attachment 380212 [details]
Patch

Clearing flags on attachment: 380212

Committed r250772: <https://trac.webkit.org/changeset/250772>
Comment 5 WebKit Commit Bot 2019-10-07 04:23:18 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2019-10-07 04:24:22 PDT
<rdar://problem/56031813>
Comment 7 Truitt Savell 2019-10-09 11:21:04 PDT
New test imported/w3c/web-platform-tests/offscreen-canvas/drawing-images-to-the-canvas/2d.drawImage.floatsource.html

added in https://trac.webkit.org/changeset/250772/webkit

is flaky. 

History:
https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=imported%2Fw3c%2Fweb-platform-tests%2Foffscreen-canvas%2Fdrawing-images-to-the-canvas%2F2d.drawImage.floatsource.html

Diff:
--- /Volumes/Data/slave/mojave-debug-tests-wk1/build/layout-test-results/imported/w3c/web-platform-tests/offscreen-canvas/drawing-images-to-the-canvas/2d.drawImage.floatsource-expected.txt
+++ /Volumes/Data/slave/mojave-debug-tests-wk1/build/layout-test-results/imported/w3c/web-platform-tests/offscreen-canvas/drawing-images-to-the-canvas/2d.drawImage.floatsource-actual.txt
@@ -1,3 +1,4 @@
+CONSOLE MESSAGE: line 29: Unhandled Promise Rejection: TypeError: null is not an object (evaluating 'ctx.drawImage')
 2d.drawImage.floatsource
Comment 8 Chris Lord 2019-10-09 13:31:31 PDT
(In reply to Truitt Savell from comment #7)
> New test
> imported/w3c/web-platform-tests/offscreen-canvas/drawing-images-to-the-
> canvas/2d.drawImage.floatsource.html
> 
> added in https://trac.webkit.org/changeset/250772/webkit
> 
> is flaky. 
> 
> History:
> https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.
> html#showAllRuns=true&tests=imported%2Fw3c%2Fweb-platform-tests%2Foffscreen-
> canvas%2Fdrawing-images-to-the-canvas%2F2d.drawImage.floatsource.html
> 
> Diff:
> ---
> /Volumes/Data/slave/mojave-debug-tests-wk1/build/layout-test-results/
> imported/w3c/web-platform-tests/offscreen-canvas/drawing-images-to-the-
> canvas/2d.drawImage.floatsource-expected.txt
> +++
> /Volumes/Data/slave/mojave-debug-tests-wk1/build/layout-test-results/
> imported/w3c/web-platform-tests/offscreen-canvas/drawing-images-to-the-
> canvas/2d.drawImage.floatsource-actual.txt
> @@ -1,3 +1,4 @@
> +CONSOLE MESSAGE: line 29: Unhandled Promise Rejection: TypeError: null is
> not an object (evaluating 'ctx.drawImage')
>  2d.drawImage.floatsource

I'll add a DumpJSConsoleLogInStdErr expectation for this tomorrow morning.
Comment 9 Truitt Savell 2019-10-10 09:04:04 PDT
This test is also flakey: offscreen-canvas/compositing/2d.composite.canvas.destination-in.html

History:
https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=imported%2Fw3c%2Fweb-platform-tests%2Foffscreen-canvas%2Fcompositing%2F2d.composite.canvas.destination-in.html
Comment 10 Chris Lord 2019-10-10 09:22:17 PDT
(In reply to Truitt Savell from comment #9)
> This test is also flakey:
> offscreen-canvas/compositing/2d.composite.canvas.destination-in.html
> 
> History:
> https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.
> html#showAllRuns=true&tests=imported%2Fw3c%2Fweb-platform-tests%2Foffscreen-
> canvas%2Fcompositing%2F2d.composite.canvas.destination-in.html

Thanks, all the flaky tests this and the earlier link revealed have been marked in bug #202782 and bug #202801. I wouldn't be surprised of some more popping up, as I guess when the promises reject may vary depending on load/spec(?)

This will be fixed properly by bug the work in bug 183720, after which we can remove these test expectations (as successful tests shouldn't output anything to the console).